Subject: Re: [PATCH kernel 2.6.32-rc5] pcnet_cs: add cis of PreMax PE-200 ethernet pcmcia card

From: Ben Hutchings <[email-masked]>
Date: Sat, 24 Oct 2009 21:33:41 +0100

On Thu, 2009-10-22 at 20:47 +0100, Ken Kawasaki wrote:
> Hi,
> 
> >Dan Williams <[email-masked]> wrote:
> 
> > > add cis of PreMax ethernet pcmcia card,
> > > and some Sierra Wireless serial card(AC555, AC7xx, AC8xx).
>  
> > Random question: are CIS files copyrightable?  
> 
> The CIS contains the IRQ, ioport-range, voltage information etc
> like the PCI config space.
> So I think it is not copyrightable.
> but Sierra Wireless provided this CIS by GPL.
[...]

If it is subject to copyright - which apparently they think it is - then
when redistributing under GPL we must be able to provide the 'preferred
form for modification'.  So that leads to the question, is this blob or
hex file the preferred form?

I know very little about CIS but it appears to have a fairly simple
structure that could perhaps be constructed with a hex editor.  However,
if a manufacturer or a later maintainer actually compiles it from a file
in some other format which has extra information like comments or named
constants then I think that should be included in the kernel source.

Ben.

-- 
Ben Hutchings
The obvious mathematical breakthrough [to break modern encryption] would be
development of an easy way to factor large prime numbers. - Bill Gates